<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Sitemap extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -  
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in 
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
    
	public function __construct(){
		parent::__construct();
    }
    
	public function index()
	{
	    
	    $data['BASE_URL'] = 'https://axe.link/a/';
	    
        $data['c_list'] = [];
        
        if(1){
            
            $this->db->select('id, page_slug');
    		$this->db->from('links_page_seo');
    		$this->db->where('is_active','0'); 
    		$this->db->where('is_deleted','0');
            
    		$this->db->order_by('link_id','ASC');
    		//default limit setup
    		$this->db->limit(50000);
        	$query = $this->db->get();

            if($query->num_rows()){
     		    $data['c_list'] =  $query->result();
    		}
        }
       
        // print_r($data);
        // exit;
	    
	    $this->load->view('sitemap.php',$data);
	    
	}
	
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */